import { fetch, post } from '@api/api';
/**
 * 查询菜单树数据
 * @param params 请求参数
 * @param headers 请求头
 */
export function loadMenuPage(params = {}, headers = {}) {
  return fetch({
    url: '/upms/menu/page',
    params: params,
    headers: headers
  });
}

/**
 * 查询菜单树数据
 * @param params 请求参数
 * @param headers 请求头
 */
export function refreshMenu(params = {}, headers = {}) {
  return fetch({
    url: '/upms/menu/refresh',
    params: params,
    headers: headers
  });
}

/**
 * 查询菜单树数据
 * @param params 请求参数
 * @param headers 请求头
 */
export function createMenu(params = {}, headers = {}) {
  return post({
    url: '/upms/menu/create',
    params: params,
    headers: headers
  });
}

/**
 * 删除默认配置
 * @param params 请求参数
 * @param headers 请求头
 */
export function removeMenu(params = {}, headers = {}) {
  return post({
    url: '/upms/menu/remove',
    params: params,
    headers: headers
  });
}
/**
 * 更新默认配置
 * @param params 请求参数
 * @param headers 请求头
 */
export function updateMenu(params = {}, headers = {}) {
  return post({
    url: '/upms/menu/update',
    params: params,
    headers: headers
  });
}
